<h1 align="center">
  Mozaic-Vue
</h1>

<p align="center">
  <a href="https://mozaic.adeo.cloud/">
    <img src="./.storybook/assets/adeo-design-system.svg"/>
  </a>
  <a href="https://vuejs.org">
    <img src="./.storybook/assets/made-with-vue.svg"/>
  </a>
</p>

<p align="center">
  <a href="https://github.com/adeo/mozaic-vue/blob/master/CONTRIBUTING.md">
    <img src="https://img.shields.io/badge/PRs-welcome-blue.svg?logo=github" alt="PRs welcome" />
  </a>
  <a href="#-contributors">
    <img src="https://img.shields.io/badge/all_contributors-80-brightgreen.svg?style=" alt="contributors" />
  </a>
  <a href="https://app.slack.com/client/T4R6RCZFA/CN4K3A99R">
    <img src="https://img.shields.io/badge/Slack-mozaic_vue-611f69.svg?logo=slack" alt="Slack mozaic-vue" />
  </a>
  <a href="https://adeo.workplace.com/groups/427492661454646/">
    <img src="https://img.shields.io/badge/Workplace-Adeo_Design_System-4526ce.svg?logo=workplace" alt="Workplace ADEO Design system" />
  </a>
</p>

<p align="center">
  This project contains <a href="https://vuejs.org">Vue.js</a> components that implements the <a href="https://mozaic.adeo.cloud/">ADEO Design system</a> guidelines.
</p>

## 🎨 Getting started

**ADEO Design system** is a global and collaborative design system that facilitates the designer and developer experience, enabling them to create universal interfaces perfectly aligned with the business strategy of [Adeo](https://www.adeo.com/).

Learn more about the vision and guidelines by visiting the [main documentation website](https://mozaic.adeo.cloud/).

## 📦 Install

All the available components are showcased in our [Storybook](https://master--641e94a45750cc9b0f477973.chromatic.com/).

To install `mozaic-vue` in your project, you will need to run the following command using `npm`:

```shell
$ npm i @mozaic-ds/vue@beta
```

Or with **Yarn**:

```shell
$ yarn add @mozaic-ds/vue@beta
```

## 📝 Usage

Import the styles

```typescript
// main.ts

import '@mozaic-ds/vue/style.css';
```

To import and use a component, you can proceed as follows:

```vue
<script setup lang="ts">
  import { MButton } from '@mozaic-ds/vue';
</script>

<template>
  <MButton label="This is a Mozaic Button" />
</template>
```

Find the complete list of [our components](https://github.com/adeo/mozaic-vue/tree/master/src/components).

## 📰 Changelog

Releases are managed with **GitHub Releases**, including the changelog for each one.<br/>
Access to the [Changelog](/CHANGELOG.md) to find out about the detailed changes to each release.

## 📣 Stay in touch

- Join the [#mozaic-vue](https://app.slack.com/client/T4R6RCZFA/CN4K3A99R/) channel on **Slack**
- Join the [#mozaic-support](https://app.slack.com/client/T4R6RCZFA/CKQJZL7C4/) channel on **Slack**
- Join our [Workplace group](https://adeo.workplace.com/groups/427492661454646/)

## 🐞 Bugs and feature requests

Have a bug or a feature request?<br/>
Please [open an issue](https://github.com/adeo/mozaic-styles/issues/new/choose) and use the template associated with your request.

However, if you are able to contribute and fix bugs, build new features, or help to improve the project documentation, feel free to do it! _(more information below)_

## ✍️ Contributing

Setup the project to start contributing.

```
// Clone mozaic-vue repo
$ git clone git@github.com:adeo/mozaic-vue.git

// Go to the cloned directory
$ cd mozaic-vue

// Checkout the branch you are working on
$ git checkout <branch name>

// Install dependencies
$ npm install
```

We're always looking for contributors to help us fix bugs, build features, or help us improve the documentation. If you're intersted check out our [Code of Conduct](https://github.com/adeo/mozaic-vue/wiki/Code-of-conduct) and [Contribution Guide](https://github.com/adeo/mozaic-vue/blob/master/CONTRIBUTING.md).

## 🧑‍💻 Contributors

**Owners**

**[ADEO Design system Team](https://github.com/orgs/adeo/teams/adeo-design-system)**

**Maintainers**

- **[Mohamed Mokhtari](https://github.com/mohamedMok)**
- **[Trésor Iloyi](https://github.com/tiloyi)**
- **[David Martin](https://github.com/dmartinds)**

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/ThomasRumasLM"><img src="https://avatars.githubusercontent.com/u/52402267?v=4?s=100" width="100px;" alt="Rumas Thomas"/><br /><sub><b>Rumas Thomas</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=ThomasRumasLM" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=ThomasRumasLM" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/nicoinch"><img src="https://avatars.githubusercontent.com/u/710410?v=4?s=100" width="100px;" alt="Nicolas Inchauspe"/><br /><sub><b>Nicolas Inchauspe</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=nicoinch" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=nicoinch" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://www.linkedin.com/in/fgruchala"><img src="https://avatars.githubusercontent.com/u/12196721?v=4?s=100" width="100px;" alt="François GRUCHALA"/><br /><sub><b>François GRUCHALA</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=fgruchala" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Afgruchala" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Afgruchala" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/ashleymoogle"><img src="https://avatars.githubusercontent.com/u/5888631?v=4?s=100" width="100px;" alt="Romain 'Ashley' Bonhomme"/><br /><sub><b>Romain 'Ashley' Bonhomme</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=ashleymoogle" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/louis-triquet-lm"><img src="https://avatars.githubusercontent.com/u/54812386?v=4?s=100" width="100px;" alt="louis-triquet-lm"/><br /><sub><b>louis-triquet-lm</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Alouis-triquet-lm" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/FHuriere"><img src="https://avatars.githubusercontent.com/u/77064421?v=4?s=100" width="100px;" alt="Freddy Hurière"/><br /><sub><b>Freddy Hurière</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=FHuriere" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=FHuriere" title="Documentation">📖</a> <a href="#ideas-FHuriere" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AFHuriere" title="Reviewed Pull Requests">👀</a> <a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AFHuriere" title="Bug reports">🐛</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/Teledor"><img src="https://avatars.githubusercontent.com/u/1482017?v=4?s=100" width="100px;" alt="Teledor"/><br /><sub><b>Teledor</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=Teledor" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/issues?q=author%3ATeledor" title="Bug reports">🐛</a> <a href="#ideas-Teledor" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://stackoverflow.com/users/5249363/jeanmel?tab=profile"><img src="https://avatars.githubusercontent.com/u/7600006?v=4?s=100" width="100px;" alt="Stéphane Eintrazi"/><br /><sub><b>Stéphane Eintrazi</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=stephane-ein" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Astephane-ein" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/pilouski-adeo"><img src="https://avatars.githubusercontent.com/u/61780533?v=4?s=100" width="100px;" alt="pilouski-adeo"/><br /><sub><b>pilouski-adeo</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Apilouski-adeo" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/guillaumedeblock"><img src="https://avatars.githubusercontent.com/u/88312919?v=4?s=100" width="100px;" alt="guillaumedeblock"/><br /><sub><b>guillaumedeblock</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Aguillaumedeblock" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Aguillaumedeblock" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://tetraed.re"><img src="https://avatars.githubusercontent.com/u/5341141?v=4?s=100" width="100px;" alt="Vincent"/><br /><sub><b>Vincent</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Avqoph" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=vqoph" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/ysellamiLM"><img src="https://avatars.githubusercontent.com/u/55577803?v=4?s=100" width="100px;" alt="ysellamiLM"/><br /><sub><b>ysellamiLM</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=ysellamiLM" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AysellamiLM" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AysellamiLM" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/HippolyteQuief"><img src="https://avatars.githubusercontent.com/u/81748457?v=4?s=100" width="100px;" alt="HippolyteQuief"/><br /><sub><b>HippolyteQuief</b></sub></a><br /><a href="#ideas-HippolyteQuief" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AHippolyteQuief" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/potpot59"><img src="https://avatars.githubusercontent.com/u/11508710?v=4?s=100" width="100px;" alt="Pierre Pottier"/><br /><sub><b>Pierre Pottier</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=potpot59" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://iamludal.fr"><img src="https://avatars.githubusercontent.com/u/44783088?v=4?s=100" width="100px;" alt="Ludal"/><br /><sub><b>Ludal</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=iamludal" title="Documentation">📖</a> <a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Aiamludal" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Aiamludal" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/johannreboulleauLM"><img src="https://avatars.githubusercontent.com/u/51782007?v=4?s=100" width="100px;" alt="johannreboulleauLM"/><br /><sub><b>johannreboulleauLM</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=johannreboulleauLM" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/jtelmoudy"><img src="https://avatars.githubusercontent.com/u/55196509?v=4?s=100" width="100px;" alt="jtelmoudy"/><br /><sub><b>jtelmoudy</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=jtelmoudy" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Ajtelmoudy" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://praz.dev"><img src="https://avatars.githubusercontent.com/u/1631886?v=4?s=100" width="100px;" alt="PraZ"/><br /><sub><b>PraZ</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=prazdevs" title="Code">💻</a> <a href="#ideas-prazdevs" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Aprazdevs" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://alexis-degryse.com"><img src="https://avatars.githubusercontent.com/u/6780374?v=4?s=100" width="100px;" alt="twogrey"/><br /><sub><b>twogrey</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=twogrey" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/aurelienclauss"><img src="https://avatars.githubusercontent.com/u/13923315?v=4?s=100" width="100px;" alt="Aurélien Clauss"/><br /><sub><b>Aurélien Clauss</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Aaurelienclauss" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=aurelienclauss" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=aurelienclauss" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/JoachimDorchies"><img src="https://avatars.githubusercontent.com/u/10122784?v=4?s=100" width="100px;" alt="Joachim Dorchies"/><br /><sub><b>Joachim Dorchies</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AJoachimDorchies" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=JoachimDorchies" title="Documentation">📖</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=JoachimDorchies" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/thomas-lichtevoet"><img src="https://avatars.githubusercontent.com/u/74542694?v=4?s=100" width="100px;" alt="thomas-lichtevoet"/><br /><sub><b>thomas-lichtevoet</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Athomas-lichtevoet" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://www.milc.fr"><img src="https://avatars.githubusercontent.com/u/1206811?v=4?s=100" width="100px;" alt="Frédérique Milc"/><br /><sub><b>Frédérique Milc</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Amilc" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=milc" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/jemarray"><img src="https://avatars.githubusercontent.com/u/18439517?v=4?s=100" width="100px;" alt="jemarray"/><br /><sub><b>jemarray</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Ajemarray" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Ajemarray" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/Yujian-MA"><img src="https://avatars.githubusercontent.com/u/33433399?v=4?s=100" width="100px;" alt="Yujian-MA"/><br /><sub><b>Yujian-MA</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AYujian-MA" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AYujian-MA" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/Xa3lis"><img src="https://avatars.githubusercontent.com/u/8726129?v=4?s=100" width="100px;" alt="Valerian Crasnier"/><br /><sub><b>Valerian Crasnier</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AXa3lis" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=Xa3lis" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AXa3lis" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/vincent314"><img src="https://avatars.githubusercontent.com/u/3215889?v=4?s=100" width="100px;" alt="vincent314"/><br /><sub><b>vincent314</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Avincent314" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Avincent314" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://gillespie59.github.io/"><img src="https://avatars.githubusercontent.com/u/555768?v=4?s=100" width="100px;" alt="Emmanuel DEMEY"/><br /><sub><b>Emmanuel DEMEY</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=EmmanuelDemey" title="Documentation">📖</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=EmmanuelDemey" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/lmjonathan"><img src="https://avatars.githubusercontent.com/u/73292505?v=4?s=100" width="100px;" alt="lmjonathan"/><br /><sub><b>lmjonathan</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Almjonathan" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Almjonathan" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/20000168"><img src="https://avatars.githubusercontent.com/u/56389156?v=4?s=100" width="100px;" alt="Dutilleul Anne"/><br /><sub><b>Dutilleul Anne</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3A20000168" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3A20000168" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/AhmedELB1"><img src="https://avatars.githubusercontent.com/u/76695154?v=4?s=100" width="100px;" alt="AhmedELB1"/><br /><sub><b>AhmedELB1</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AAhmedELB1" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AAhmedELB1" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/LahousteEmile"><img src="https://avatars.githubusercontent.com/u/102166995?v=4?s=100" width="100px;" alt="LahousteEmile"/><br /><sub><b>LahousteEmile</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3ALahousteEmile" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3ALahousteEmile" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/BenjaminRedantAdeo"><img src="https://avatars.githubusercontent.com/u/104772991?v=4?s=100" width="100px;" alt="BenjaminRedantAdeo"/><br /><sub><b>BenjaminRedantAdeo</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3ABenjaminRedantAdeo" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/Sora952"><img src="https://avatars.githubusercontent.com/u/59966470?v=4?s=100" width="100px;" alt="Sora952"/><br /><sub><b>Sora952</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3ASora952" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3ASora952" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/DonovanAdeo"><img src="https://avatars.githubusercontent.com/u/71758563?v=4?s=100" width="100px;" alt="DonovanAdeo"/><br /><sub><b>DonovanAdeo</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3ADonovanAdeo" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3ADonovanAdeo" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/RMayeux"><img src="https://avatars.githubusercontent.com/u/53652890?v=4?s=100" width="100px;" alt="Rémi Mayeux"/><br /><sub><b>Rémi Mayeux</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3ARMayeux" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=RMayeux" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/jeromelemaire"><img src="https://avatars.githubusercontent.com/u/22763438?v=4?s=100" width="100px;" alt="jeromelemaire"/><br /><sub><b>jeromelemaire</b></sub></a><br /><a href="#security-jeromelemaire" title="Security">🛡️</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Ajeromelemaire" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/AlexandreVersmee"><img src="https://avatars.githubusercontent.com/u/6217859?v=4?s=100" width="100px;" alt="Alexandre Versmée"/><br /><sub><b>Alexandre Versmée</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AAlexandreVersmee" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AAlexandreVersmee" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/AlexisBoulongneAdeo"><img src="https://avatars.githubusercontent.com/u/82802848?v=4?s=100" width="100px;" alt="AlexisBoulongneAdeo"/><br /><sub><b>AlexisBoulongneAdeo</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AAlexisBoulongneAdeo" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AAlexisBoulongneAdeo" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/ismail-lmfr"><img src="https://avatars.githubusercontent.com/u/57006786?v=4?s=100" width="100px;" alt="Ismail HACHOUM"/><br /><sub><b>Ismail HACHOUM</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=ismail-lmfr" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/samuelpoudroux"><img src="https://avatars.githubusercontent.com/u/43468769?v=4?s=100" width="100px;" alt="Samuel Poudroux"/><br /><sub><b>Samuel Poudroux</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Asamuelpoudroux" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=samuelpoudroux" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=samuelpoudroux" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/mmasure"><img src="https://avatars.githubusercontent.com/u/6698841?v=4?s=100" width="100px;" alt="Marc Masure"/><br /><sub><b>Marc Masure</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Ammasure" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=mmasure" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/Maksime59"><img src="https://avatars.githubusercontent.com/u/110107260?v=4?s=100" width="100px;" alt="Maksnaga"/><br /><sub><b>Maksnaga</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=Maksime59" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=Maksime59" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/yahiabrahimi"><img src="https://avatars.githubusercontent.com/u/82805284?v=4?s=100" width="100px;" alt="Yahia"/><br /><sub><b>Yahia</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Ayahiabrahimi" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Ayahiabrahimi" title="Reviewed Pull Requests">👀</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=yahiabrahimi" title="Code">💻</a> <a href="#ideas-yahiabrahimi" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/matthieu-castier"><img src="https://avatars.githubusercontent.com/u/52412589?v=4?s=100" width="100px;" alt="Michel"/><br /><sub><b>Michel</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=matthieu-castier" title="Code">💻</a> <a href="#a11y-matthieu-castier" title="Accessibility">️️️️♿️</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/NicolasDiarra-LMFR"><img src="https://avatars.githubusercontent.com/u/94369347?v=4?s=100" width="100px;" alt="Nicolas Diarra"/><br /><sub><b>Nicolas Diarra</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3ANicolasDiarra-LMFR" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/SamiLejeune"><img src="https://avatars.githubusercontent.com/u/36694885?v=4?s=100" width="100px;" alt="SamiLejeune"/><br /><sub><b>SamiLejeune</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=SamiLejeune" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3ASamiLejeune" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/cdelannoy-leroymerlin"><img src="https://avatars.githubusercontent.com/u/55577142?v=4?s=100" width="100px;" alt="Corentin Delannoy"/><br /><sub><b>Corentin Delannoy</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Acdelannoy-leroymerlin" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=cdelannoy-leroymerlin" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=cdelannoy-leroymerlin" title="Documentation">📖</a> <a href="#example-cdelannoy-leroymerlin" title="Examples">💡</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=cdelannoy-leroymerlin" title="Tests">⚠️</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/pinguet62"><img src="https://avatars.githubusercontent.com/u/2929786?v=4?s=100" width="100px;" alt="PINGUET Julien"/><br /><sub><b>PINGUET Julien</b></sub></a><br /><a href="#ideas-pinguet62" title="Ideas, Planning, & Feedback">🤔</a> <a href="#mentoring-pinguet62" title="Mentoring">🧑‍🏫</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Apinguet62" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/maximilienBetourne"><img src="https://avatars.githubusercontent.com/u/83946427?v=4?s=100" width="100px;" alt="maximilienBetourne"/><br /><sub><b>maximilienBetourne</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AmaximilienBetourne" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AmaximilienBetourne" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/jean-dusenne"><img src="https://avatars.githubusercontent.com/u/102587357?v=4?s=100" width="100px;" alt="jean-dusenne"/><br /><sub><b>jean-dusenne</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Ajean-dusenne" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=jean-dusenne" title="Code">💻</a> <a href="#example-jean-dusenne" title="Examples">💡</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/landscht"><img src="https://avatars.githubusercontent.com/u/32072207?v=4?s=100" width="100px;" alt="Tony Landschoot"/><br /><sub><b>Tony Landschoot</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Alandscht" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=landscht" title="Code">💻</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=landscht" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/mdebieAdeo"><img src="https://avatars.githubusercontent.com/u/103485932?v=4?s=100" width="100px;" alt="Matthias De Bie"/><br /><sub><b>Matthias De Bie</b></sub></a><br /><a href="#mentoring-mdebieAdeo" title="Mentoring">🧑‍🏫</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AmdebieAdeo" title="Reviewed Pull Requests">👀</a> <a href="#example-mdebieAdeo" title="Examples">💡</a> <a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AmdebieAdeo" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=mdebieAdeo" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/smailariouk"><img src="https://avatars.githubusercontent.com/u/55575643?v=4?s=100" width="100px;" alt="smailariouk"/><br /><sub><b>smailariouk</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Asmailariouk" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Asmailariouk" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/AgnesLaur"><img src="https://avatars.githubusercontent.com/u/114142978?v=4?s=100" width="100px;" alt="AgnesLaur"/><br /><sub><b>AgnesLaur</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AAgnesLaur" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/quentinlebars"><img src="https://avatars.githubusercontent.com/u/45590817?v=4?s=100" width="100px;" alt="Quentin"/><br /><sub><b>Quentin</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Aquentinlebars" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=quentinlebars" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/Maxence-Philip"><img src="https://avatars.githubusercontent.com/u/60602930?v=4?s=100" width="100px;" alt="Maxence-Philip"/><br /><sub><b>Maxence-Philip</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=Maxence-Philip" title="Code">💻</a> <a href="#example-Maxence-Philip" title="Examples">💡</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AMaxence-Philip" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/gregmille"><img src="https://avatars.githubusercontent.com/u/41426894?v=4?s=100" width="100px;" alt="gregmille"/><br /><sub><b>gregmille</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Agregmille" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Agregmille" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/cmontois"><img src="https://avatars.githubusercontent.com/u/12199643?v=4?s=100" width="100px;" alt="Clément"/><br /><sub><b>Clément</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Acmontois" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Acmontois" title="Reviewed Pull Requests">👀</a> <a href="#ideas-cmontois" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/cmnt"><img src="https://avatars.githubusercontent.com/u/5527851?v=4?s=100" width="100px;" alt="Clément Dufour"/><br /><sub><b>Clément Dufour</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Acmnt" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Acmnt" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/ChrisHendrX"><img src="https://avatars.githubusercontent.com/u/29543049?v=4?s=100" width="100px;" alt="Christophe DRAG"/><br /><sub><b>Christophe DRAG</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AChrisHendrX" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AChrisHendrX" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/Maciej2205"><img src="https://avatars.githubusercontent.com/u/91657634?v=4?s=100" width="100px;" alt="Maciej2205"/><br /><sub><b>Maciej2205</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AMaciej2205" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AMaciej2205" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/jeremy-thach"><img src="https://avatars.githubusercontent.com/u/77272361?v=4?s=100" width="100px;" alt="jeremy-thach"/><br /><sub><b>jeremy-thach</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Ajeremy-thach" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Ajeremy-thach" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/aleturolla"><img src="https://avatars.githubusercontent.com/u/17066504?v=4?s=100" width="100px;" alt="aleturolla"/><br /><sub><b>aleturolla</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Aaleturolla" title="Bug reports">🐛</a> <a href="#ideas-aleturolla" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Aaleturolla" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/dpallasidis"><img src="https://avatars.githubusercontent.com/u/146719136?v=4?s=100" width="100px;" alt="dpallasidis"/><br /><sub><b>dpallasidis</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Adpallasidis" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Adpallasidis" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/theonoelgithub"><img src="https://avatars.githubusercontent.com/u/44174700?v=4?s=100" width="100px;" alt="Théo"/><br /><sub><b>Théo</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Atheonoelgithub" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Atheonoelgithub" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/LeoneAlexandra"><img src="https://avatars.githubusercontent.com/u/125893967?v=4?s=100" width="100px;" alt="LeoneAlexandra"/><br /><sub><b>LeoneAlexandra</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3ALeoneAlexandra" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3ALeoneAlexandra" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/yazid552308"><img src="https://avatars.githubusercontent.com/u/61196443?v=4?s=100" width="100px;" alt="yazid farhaoui"/><br /><sub><b>yazid farhaoui</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Ayazid552308" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Ayazid552308" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/GaelMei"><img src="https://avatars.githubusercontent.com/u/94169893?v=4?s=100" width="100px;" alt="GaelMei"/><br /><sub><b>GaelMei</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AGaelMei" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3AGaelMei" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/Tang59"><img src="https://avatars.githubusercontent.com/u/95357040?v=4?s=100" width="100px;" alt="Tanguy Deshayes"/><br /><sub><b>Tanguy Deshayes</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=Tang59" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/AdeoRemiDoolaeghe"><img src="https://avatars.githubusercontent.com/u/150665596?v=4?s=100" width="100px;" alt="AdeoRemiDoolaeghe"/><br /><sub><b>AdeoRemiDoolaeghe</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AAdeoRemiDoolaeghe" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=AdeoRemiDoolaeghe" title="Code">💻</a> <a href="#a11y-AdeoRemiDoolaeghe" title="Accessibility">️️️️♿️</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/sbrauch"><img src="https://avatars.githubusercontent.com/u/104427101?v=4?s=100" width="100px;" alt="sinabrauch"/><br /><sub><b>sinabrauch</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Asbrauch" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Asbrauch" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/Mcfloy"><img src="https://avatars.githubusercontent.com/u/10086193?v=4?s=100" width="100px;" alt="Lucas Perreau"/><br /><sub><b>Lucas Perreau</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AMcfloy" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=Mcfloy" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/bloomabir"><img src="https://avatars.githubusercontent.com/u/91196824?v=4?s=100" width="100px;" alt="Abir"/><br /><sub><b>Abir</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Abloomabir" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Abloomabir" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/AlexandreTrouc"><img src="https://avatars.githubusercontent.com/u/139141516?v=4?s=100" width="100px;" alt="AlexandreTrouc"/><br /><sub><b>AlexandreTrouc</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3AAlexandreTrouc" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/arepresas"><img src="https://avatars.githubusercontent.com/u/24484288?v=4?s=100" width="100px;" alt="Abraham Represas"/><br /><sub><b>Abraham Represas</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=arepresas" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://srizza93.github.io/portfolio-vite/#/"><img src="https://avatars.githubusercontent.com/u/63718887?v=4?s=100" width="100px;" alt="Simone"/><br /><sub><b>Simone</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/commits?author=Srizza93" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/valentintartare"><img src="https://avatars.githubusercontent.com/u/17853582?v=4?s=100" width="100px;" alt="TARTARE Valentin"/><br /><sub><b>TARTARE Valentin</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Avalentintartare" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/pulls?q=is%3Apr+reviewed-by%3Avalentintartare" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="http://www.asd-developer.com"><img src="https://avatars.githubusercontent.com/u/53093858?v=4?s=100" width="100px;" alt="André Duarte"/><br /><sub><b>André Duarte</b></sub></a><br /><a href="https://github.com/adeo/mozaic-vue/issues?q=author%3Aasd-developer" title="Bug reports">🐛</a> <a href="https://github.com/adeo/mozaic-vue/commits?author=asd-developer" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/EddieVallier"><img src="https://avatars.githubusercontent.com/u/126583416?v=4?s=100" width="100px;" alt="EddieVallier"/><br /><sub><b>EddieVallier</b></sub></a><br /><a href="#a11y-EddieVallier" title="Accessibility">️️️️♿️</a></td>
    </tr>
  </tbody>
  <tfoot>
    <tr>
      <td align="center" size="13px" colspan="6">
        <img src="https://raw.githubusercontent.com/all-contributors/all-contributors-cli/1b8533af435da9854653492b1327a23a4dbd0a10/assets/logo-small.svg">
          <a href="https://all-contributors.js.org/docs/en/bot/usage">Add your contributions</a>
        </img>
      </td>
    </tr>
  </tfoot>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!

## 📄 Licensing

This project is licensed under the Apache V2 License. See [LICENSE](LICENSE) for more information.
