import { AllowedComponentProps } from 'vue';
import { ComponentCustomProperties } from 'vue';
import { ComponentCustomProps } from 'vue';
import { ComponentInternalInstance } from 'vue';
import { ComponentOptionsBase } from 'vue';
import { ComponentOptionsMixin } from 'vue';
import { ComponentProvideOptions } from 'vue';
import { ComponentPublicInstance } from 'vue';
import { DebuggerEvent } from 'vue';
import { DefineComponent } from 'vue';
import { GlobalComponents } from 'vue';
import { GlobalDirectives } from 'vue';
import { nextTick } from 'vue';
import { OnCleanup } from '@vue/reactivity';
import { PublicProps } from 'vue';
import { ShallowUnwrapRef } from 'vue';
import { Slot } from 'vue';
import { VNode } from 'vue';
import { VNodeProps } from 'vue';
import { WatchOptions } from 'vue';
import { WatchStopHandle } from 'vue';

declare const __VLS_component: DefineComponent<__VLS_Props_3, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<__VLS_Props_3> & Readonly<{}>, {
appearance: "standard" | "accent" | "danger" | "inverse";
size: "s" | "m" | "l";
type: "button" | "reset" | "submit";
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLButtonElement>;

declare const __VLS_component_2: DefineComponent<__VLS_Props_6, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<__VLS_Props_6> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

declare const __VLS_component_3: DefineComponent<__VLS_Props_7, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<__VLS_Props_7> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLFieldSetElement>;

declare const __VLS_component_4: DefineComponent<__VLS_Props_8, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<__VLS_Props_8> & Readonly<{}>, {
appearance: "standard" | "accent" | "danger" | "inverse";
size: "s" | "m" | "l";
type: "button" | "reset" | "submit";
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLButtonElement>;

declare const __VLS_component_5: DefineComponent<__VLS_Props_9, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<__VLS_Props_9> & Readonly<{}>, {
appearance: "secondary" | "accent" | "inverse" | "standard";
size: "s" | "m";
iconPosition: "left" | "right";
href: string;
target: string;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

declare const __VLS_component_6: DefineComponent<__VLS_Props_11, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<__VLS_Props_11> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

declare const __VLS_component_7: DefineComponent<__VLS_Props_18, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
close: () => any;
}, string, PublicProps, Readonly<__VLS_Props_18> & Readonly<{
onClose?: (() => any) | undefined;
}>, {
status: "info" | "success" | "warning" | "error";
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLElement>;

declare const __VLS_component_8: DefineComponent<__VLS_Props_20, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: string | number) => any;
}, string, PublicProps, Readonly<__VLS_Props_20> & Readonly<{
"onUpdate:modelValue"?: ((value: string | number) => any) | undefined;
}>, {
size: "s" | "m";
clearLabel: string;
inputType: "date" | "email" | "number" | "password" | "search" | "tel" | "text";
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

/**
 * A badge indicates the status of an entity and can evolve at any time.
 */
declare type __VLS_Props = {
    /**
     * Content of the badge
     */
    label: number;
    /**
     * Allows to define the Badge style
     */
    appearance?: 'danger' | 'accent' | 'inverse' | 'standard';
    /**
     * Allows to define the Badge size
     */
    size?: 's' | 'm';
};

/**
 * A loader indicates that content or data is being loaded or processed, providing visual feedback to users during wait times.
 */
declare type __VLS_Props_10 = {
    /**
     * Specifies the visual appearance of the loader.
     */
    appearance?: 'standard' | 'accent' | 'inverse';
    /**
     * Defines the size of the loader.
     */
    size?: 's' | 'm' | 'l';
    /**
     * Text to display alongside the loader when using the loader inside an `Overlay`.
     */
    text?: string;
};

/**
 * An overlay component is a UI element that appears above the main content to display additional information or interactions, often blocking or dimming the background.
 */
declare type __VLS_Props_11 = {
    /**
     * Controls the visibility of the overlay.
     */
    isVisible?: boolean;
    /**
     * Accessible label for the overlay dialog.
     */
    dialogLabel?: string;
};

/**
 * A password input is a specialized input field used to securely enter and manage passwords. It typically masks the characters entered to protect sensitive information from being seen. It includes a toggle button to show or hide the password, improving usability while maintaining security. Password inputs are commonly used in login forms, account creation, and authentication flows.
 */
declare type __VLS_Props_12 = {
    /**
     * A unique identifier for the password input element, used to associate the label with the form element.
     */
    id: string;
    /**
     * The name attribute for the password input element, typically used for form submission.
     */
    name?: string;
    /**
     * The current value of the password input field.
     */
    modelValue?: string | number;
    /**
     * A placeholder text to show in the password input when it is empty.
     */
    placeholder?: string;
    /**
     * If `true`, applies an invalid state to the password input.
     */
    isInvalid?: boolean;
    /**
     * If `true`, disables the password input, making it non-interactive.
     */
    disabled?: boolean;
    /**
     * If `true`, the password input is read-only (cannot be edited).
     */
    readonly?: boolean;
    /**
     * If `true`, a clear button will appear when the password input has a value.
     */
    isClearable?: boolean;
    /**
     * The label text for the clear button
     */
    clearLabel?: string;
    /**
     * Labels of the button displayed when showing or hiding the password
     */
    buttonLabel?: {
        show: string;
        hide: string;
    };
};

/**
 * The quantity selector is a form element used to enter or select a number. This type of input is best used when the user needs to choose the quantity of a selected item, like a product before adding to cart for example.
 */
declare type __VLS_Props_13 = {
    /**
     * A unique identifier for the quantity selector element, used to associate the label with the form element.
     */
    id: string;
    /**
     * The name attribute for the quantity selector element, typically used for form submission.
     */
    name?: string;
    /**
     * The current value of the quantity selector field.
     */
    modelValue?: number;
    /**
     * If `true`, applies an invalid state to the quantity selector.
     */
    isInvalid?: boolean;
    /**
     * If `true`, disables the quantity selector, making it non-interactive.
     */
    disabled?: boolean;
    /**
     * Determines the size of the quantity selector
     */
    size?: 's' | 'm';
    /**
     * Minimum acceptable value for the quantity selector.
     */
    min?: number;
    /**
     * Maximum acceptable value for the quantity selector.
     */
    max?: number;
    /**
     * Determines how much the value will change per click when the quantity is increased or decreased.
     */
    step?: number;
    /**
     * If `true`, the quantity selector is read-only (cannot be edited).
     */
    readonly?: boolean;
    /**
     * The label text for the increment button.
     */
    incrementlabel?: string;
    /**
     * The label text for the decrement button.
     */
    decrementLabel?: string;
};

/**
 * A radio button is used to offer a unique choice to your user in a form. Unlike checkboxes, it can not be used alone.
 */
declare type __VLS_Props_14 = {
    /**
     * A unique identifier for the radio, used to associate the label with the form element.
     */
    id: string;
    /**
     * The name attribute for the radio element, typically used for form submission.
     */
    name?: string;
    /**
     * The text label displayed next to the radio.
     */
    label?: string;
    /**
     * The radio's checked state, bound via v-model.
     */
    modelValue?: boolean;
    /**
     * If `true`, applies an invalid state to the radio.
     */
    isInvalid?: boolean;
    /**
     * If `true`, disables the radio, making it non-interactive.
     */
    disabled?: boolean;
};

/**
 * A radio button is used to offer a unique choice to your user in a form. Unlike checkboxes, it can not be used alone.
 */
declare type __VLS_Props_15 = {
    /**
     * The name attribute for the radio element, typically used for form submission.
     */
    name: string;
    /**
     * Property used to manage the values checked by v-model
     * (Do not use directly)
     */
    modelValue?: string;
    /**
     * list of properties of each radio button of the radio group
     */
    options: Array<{
        id: string;
        label: string;
        value: string;
        disabled?: boolean;
    }>;
    /**
     * If `true`, applies an invalid state to the radio group.
     */
    isInvalid?: boolean;
    /**
     * If `true`, make the form element of the group inline.
     */
    inline?: boolean;
};

/**
 * A select is a form element for multi-line text input, ideal for longer content like comments or descriptions.
 */
declare type __VLS_Props_16 = {
    /**
     * A unique identifier for the select, used to associate the label with the form element.
     */
    id: string;
    /**
     * The name attribute for the select element, used for form submission.
     */
    name?: string;
    /**
     * Define the available choices for the select element.
     */
    options: Array<{
        id?: string;
        text: string;
        value: string | number;
        attributes?: Record<string, string | boolean | number>;
        disabled?: boolean;
    }>;
    /**
     * The current value of the select.
     */
    modelValue?: string | number;
    /**
     * Text displayed when the select has no selected value.
     */
    placeholder?: string;
    /**
     * If `true`, the select is marked as invalid.
     */
    isInvalid?: boolean;
    /**
     * If `true`, the select is disabled and non-interactive.
     */
    disabled?: boolean;
    /**
     * Determines the size of the select
     */
    size?: 's' | 'm';
    /**
     * If `true`, the select is read-only (cannot be edited).
     */
    readonly?: boolean;
};

/**
 * A status badge indicates the status of an entity and can evolve at any time.
 */
declare type __VLS_Props_17 = {
    /**
     * Content of the Status Badge
     */
    label: string;
    /**
     * Allows to define the Status Badge style
     */
    status?: 'info' | 'success' | 'warning' | 'error' | 'neutral';
};

/**
 * A Status Notification is used to draw the user’s attention to important information that needs to be acknowledged. It often provides feedback on a process, highlights a status update, or alerts users about an issue. Notifications are typically triggered by user actions or system events and are designed to be easily noticeable while maintaining a non-intrusive experience.
 */
declare type __VLS_Props_18 = {
    /**
     * Title of the Status Notification
     */
    title: string;
    /**
     * Description of the Status Notification
     */
    description: string;
    /**
     * Allows to define the Status Notification style
     */
    status?: 'info' | 'success' | 'warning' | 'error';
    /**
     * if `true`, display the close button.
     */
    closable?: boolean;
};

/**
 * A textarea is a form element for multi-line text input, ideal for longer content like comments or descriptions.
 */
declare type __VLS_Props_19 = {
    /**
     * A unique identifier for the textarea, used to associate the label with the form element.
     */
    id: string;
    /**
     * The name attribute for the textarea element, used for form submission.
     */
    name?: string;
    /**
     * The current value of the textarea field.
     */
    modelValue?: string | number;
    /**
     * Text displayed when the textarea is empty.
     */
    placeholder?: string;
    /**
     * If `true`, the textarea is marked as invalid.
     */
    isInvalid?: boolean;
    /**
     * If `true`, the textarea is disabled and non-interactive.
     */
    disabled?: boolean;
    /**
     * The number of visible text lines in the textarea.
     */
    rows?: number;
    /**
     * Minimum number of characters required for the textarea.
     */
    minLength?: number;
    /**
     * Maximum number of characters allowed in the textarea.
     */
    maxLength?: number;
    /**
     * If `true`, the textarea is read-only (cannot be edited).
     */
    readonly?: boolean;
};

/**
 * A breadcrumb is a navigation help that displays the hierarchical path of the current page within a website or application. It helps users understand their location and allows them to navigate back to previous levels easily. Breadcrumbs improve usability and accessibility, especially in multi-level websites, dashboards, and e-commerce platforms.
 */
declare type __VLS_Props_2 = {
    /**
     * Allows to define the breadcrumb style
     */
    appearance?: 'standard' | 'inverse';
    /**
     * Links of the breadcrumb
     */
    links?: Array<{
        /**
         * The label displayed for the link.
         */
        label: string;
        /**
         * URL for the link (for external links or the `to` prop for `router-link`).
         */
        href: string;
        /**
         * If `true`, the link will be rendered as a `router-link` for internal navigation (Vue Router).
         */
        router?: boolean;
    }>;
};

/**
 * Inputs are used to create input fields with text on a single line. Their states depends on the user interaction or the context.
 */
declare type __VLS_Props_20 = {
    /**
     * A unique identifier for the input element, used to associate the label with the form element.
     */
    id: string;
    /**
     * The name attribute for the input element, typically used for form submission.
     */
    name?: string;
    /**
     * The current value of the input field.
     */
    modelValue?: string | number;
    /**
     * A placeholder text to show in the input when it is empty.
     */
    placeholder?: string;
    /**
     * Defines the type of input
     */
    inputType?: 'date' | 'email' | 'number' | 'password' | 'search' | 'tel' | 'text';
    /**
     * If `true`, applies an invalid state to the input.
     */
    isInvalid?: boolean;
    /**
     * If `true`, disables the input, making it non-interactive.
     */
    disabled?: boolean;
    /**
     * Determines the size of the input
     */
    size?: 's' | 'm';
    /**
     * If `true`, the input is read-only (cannot be edited).
     */
    readonly?: boolean;
    /**
     * If `true`, a clear button will appear when the input has a value.
     */
    isClearable?: boolean;
    /**
     * The label text for the clear button
     */
    clearLabel?: string;
};

/**
 * A toggle is used to choose between two possibilities and when the user needs instant feedback. It is common to use toggles when you need to show or hide content and "on/off" switch.
 */
declare type __VLS_Props_21 = {
    /**
     * A unique identifier for the toggle, used to associate the label with the form element.
     */
    id: string;
    /**
     * The name attribute for the toggle element, typically used for form submission.
     */
    name?: string;
    /**
     * The text label displayed next to the toggle.
     */
    label?: string;
    /**
     * The toggle's checked state, bound via v-model.
     */
    modelValue?: boolean;
    /**
     * Determines the size of the toggle
     */
    size?: 's' | 'm';
    /**
     * If `true`, disables the toggle, making it non-interactive.
     */
    disabled?: boolean;
};

/**
 * A toggle is used to choose between two possibilities and when the user needs instant feedback. It is common to use toggles when you need to show or hide content and "on/off" switch.
 */
declare type __VLS_Props_22 = {
    /**
     * The name attribute for the toggle element, typically used for form submission.
     */
    name: string;
    /**
     * Property used to manage the values checked by v-model
     * (Do not use directly)
     */
    modelValue?: Array<string>;
    /**
     * list of properties of each toggle of the toggle group
     */
    options: Array<{
        id: string;
        label: string;
        value: string;
        disabled?: boolean;
        isInvalid?: boolean;
        size?: 's' | 'm';
    }>;
    /**
     * If `true`, make the form element of the group inline.
     */
    inline?: boolean;
};

/**
 * Buttons are used to trigger actions. Their appearance is depending on the type of action required from the user, or the context.
 */
declare type __VLS_Props_3 = {
    /**
     * Defines the visual style of the button.
     */
    appearance?: 'standard' | 'accent' | 'danger' | 'inverse';
    /**
     * Determines the size of the button.
     */
    size?: 's' | 'm' | 'l';
    /**
     * If `true`, disables the button, making it non-interactive.
     */
    disabled?: boolean;
    /**
     * If `true`, applies a "ghost" style to the button, typically a transparent background with a border.
     */
    ghost?: boolean;
    /**
     * If `true`, the button gets an outlined style, usually with just the border and no solid background.
     */
    outlined?: boolean;
    /**
     * Controls the positioning of an icon in the button.
     */
    iconPosition?: 'left' | 'right' | 'only';
    /**
     * Specifies the button's HTML `type` attribute.
     */
    type?: 'button' | 'reset' | 'submit';
    /**
     * If `true`, a loading state is displayed.
     */
    isLoading?: boolean;
};

/**
 * Checkboxes are used to select one or multiple options in a list. They usually find their place in forms and are also used to accept some mentions.
 */
declare type __VLS_Props_4 = {
    /**
     * A unique identifier for the checkbox, used to associate the label with the form element.
     */
    id: string;
    /**
     * The name attribute for the checkbox element, typically used for form submission.
     */
    name?: string;
    /**
     * The text label displayed next to the checkbox.
     */
    label?: string;
    /**
     * The checkbox's checked state, bound via v-model.
     */
    modelValue?: boolean;
    /**
     * Sets the checkbox to an indeterminate state (partially selected).
     */
    indeterminate?: boolean;
    /**
     * If `true`, applies an invalid state to the checkbox.
     */
    isInvalid?: boolean;
    /**
     * If `true`, disables the checkbox, making it non-interactive.
     */
    disabled?: boolean;
};

/**
 * Checkboxes are used to select one or multiple options in a list. They usually find their place in forms and are also used to accept some mentions.
 */
declare type __VLS_Props_5 = {
    /**
     * The name attribute for the checkbox element, typically used for form submission.
     */
    name: string;
    /**
     * Property used to manage the values checked by v-model
     * (Do not use directly)
     */
    modelValue?: Array<string>;
    /**
     * list of properties of each checkbox button of the checkbox group
     */
    options: Array<{
        id: string;
        label: string;
        value: string;
        disabled?: boolean;
        isInvalid?: boolean;
    }>;
    /**
     * If `true`, make the form element of the group inline.
     */
    inline?: boolean;
};

/**
 * This component creates a structured form field with a label, optional help text, error and validation message handling.
 */
declare type __VLS_Props_6 = {
    /**
     * A unique identifier for the form field, used to associate the label with the form element.
     */
    id: string;
    /**
     * The text displayed as the label for the form field.
     */
    label: string;
    /**
     * Additional text displayed alongside the label, typically used to indicate if the form field is required or optional
     */
    requirementText?: string;
    /**
     * Text shown below the form field to provide additional context or instructions for the user.
     */
    helpText?: string;
    /**
     * The value of the `id` attribute set on the **helpText** element. _This value is mandatory when using a helpText in order to guarantee the accessibility of the component._
     */
    helpId?: string;
    /**
     * If `true`, applies a valid state to the form field.
     */
    isValid?: boolean;
    /**
     * If `true`, applies an invalid state to the form field.
     */
    isInvalid?: boolean;
    /**
     * The value of the `id` attribute set on the **validationMessage** element. _This value is mandatory when using a validationMessage in order to guarantee the accessibility of the component._
     */
    messageId?: string;
    /**
     * message displayed when the form field has a valid or invalid state, usually indicating validation or errors.
     */
    message?: string;
};

/**
 * This component creates a structured form field for group field such as Radio Group, Checkbox Group or Toggle Group with a label, optional help text, error and validation message handling.
 */
declare type __VLS_Props_7 = {
    /**
     * A unique identifier for the form field, used to associate the label with the form element.
     */
    id: string;
    /**
     * The text displayed as the legend for the form fieldset.
     */
    legend: string;
    /**
     * Additional text displayed alongside the label, typically used to indicate if the form field is required or optional
     */
    requirementText?: string;
    /**
     * Text shown below the form field to provide additional context or instructions for the user.
     */
    helpText?: string;
    /**
     * If `true`, applies a valid state to the form field.
     */
    isValid?: boolean;
    /**
     * If `true`, applies an invalid state to the form field.
     */
    isInvalid?: boolean;
    /**
     * message displayed when the form field has a valid or invalid state, usually indicating validation or errors.
     */
    message?: string;
};

/**
 * Icon Buttons are used to trigger actions. Their appearance is depending on the type of action required from the user, or the context.
 */
declare type __VLS_Props_8 = {
    /**
     * Defines the visual style of the icon button.
     */
    appearance?: 'standard' | 'accent' | 'danger' | 'inverse';
    /**
     * Determines the size of the icon button.
     */
    size?: 's' | 'm' | 'l';
    /**
     * If `true`, disables the icon button, making it non-interactive.
     */
    disabled?: boolean;
    /**
     * If `true`, applies a "ghost" style to the icon button.
     */
    ghost?: boolean;
    /**
     * If `true`, the icon button gets an outlined style.
     */
    outlined?: boolean;
    /**
     * Specifies the button's HTML `type` attribute.
     */
    type?: 'button' | 'reset' | 'submit';
};

/**
 * A link is a component used exclusively to navigate to internal or external webpages or to anchors in the current page.
 */
declare type __VLS_Props_9 = {
    /**
     * Position of the icon relative to the text.
     */
    iconPosition?: 'left' | 'right';
    /**
     * Allows to define the link style
     */
    appearance?: 'secondary' | 'accent' | 'inverse' | 'standard';
    /**
     * Allows to define the link size
     */
    size?: 's' | 'm';
    /**
     * URL for the link (for external links or the `to` prop for `router-link`).
     */
    href?: string;
    /**
     * Where to open the link
     */
    target?: string;
    /**
     * Specify wether the link is inline
     */
    inline?: boolean;
    /**
     * If `true`, the link will be rendered as a `router-link` for internal navigation (Vue Router).
     */
    router?: boolean;
};

declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: Readonly<{
        /**
         * The content displayed in the button.
         */
        default: string;
        /**
         * Use this slot to insert an icon for the Button
         */
        icon?: VNode;
    }> & {
        /**
         * The content displayed in the button.
         */
        default: string;
        /**
         * Use this slot to insert an icon for the Button
         */
        icon?: VNode;
    };
    refs: {};
    rootEl: HTMLButtonElement;
};

declare function __VLS_template_2(): {
    attrs: Partial<{}>;
    slots: Readonly<{
        /**
         * Use this slot to insert the form element of your choice
         */
        default: VNode;
    }> & {
        /**
         * Use this slot to insert the form element of your choice
         */
        default: VNode;
    };
    refs: {};
    rootEl: HTMLDivElement;
};

declare function __VLS_template_3(): {
    attrs: Partial<{}>;
    slots: Readonly<{
        /**
         * Use this slot to insert the form element of your choice
         */
        default: VNode;
    }> & {
        /**
         * Use this slot to insert the form element of your choice
         */
        default: VNode;
    };
    refs: {};
    rootEl: HTMLFieldSetElement;
};

declare function __VLS_template_4(): {
    attrs: Partial<{}>;
    slots: Readonly<{
        /**
         * Use this slot to insert the form element of your choice
         */
        icon: VNode;
    }> & {
        /**
         * Use this slot to insert the form element of your choice
         */
        icon: VNode;
    };
    refs: {};
    rootEl: HTMLButtonElement;
};

declare function __VLS_template_5(): {
    attrs: Partial<{}>;
    slots: Readonly<{
        /**
         * Use this slot to insert the textual content of the Link
         */
        default: string;
        /**
         * Use this slot to insert an icon for the Link
         */
        icon?: VNode;
    }> & {
        /**
         * Use this slot to insert the textual content of the Link
         */
        default: string;
        /**
         * Use this slot to insert an icon for the Link
         */
        icon?: VNode;
    };
    refs: {};
    rootEl: any;
};

declare function __VLS_template_6(): {
    attrs: Partial<{}>;
    slots: Readonly<{
        /**
         * Use this slot to insert a centered content inside the overlay
         */
        default?: VNode;
    }> & {
        /**
         * Use this slot to insert a centered content inside the overlay
         */
        default?: VNode;
    };
    refs: {};
    rootEl: HTMLDivElement;
};

declare function __VLS_template_7(): {
    attrs: Partial<{}>;
    slots: Readonly<{
        /**
         * Use this slot to insert a button or a link in the footer
         */
        footer?: VNode;
    }> & {
        /**
         * Use this slot to insert a button or a link in the footer
         */
        footer?: VNode;
    };
    refs: {};
    rootEl: HTMLElement;
};

declare function __VLS_template_8(): {
    attrs: Partial<{}>;
    slots: Readonly<{
        /**
         * Use this slot to insert an icon in the input
         */
        icon?: VNode;
    }> & {
        /**
         * Use this slot to insert an icon in the input
         */
        icon?: VNode;
    };
    refs: {};
    rootEl: HTMLDivElement;
};

declare type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;

declare type __VLS_TemplateResult_2 = ReturnType<typeof __VLS_template_2>;

declare type __VLS_TemplateResult_3 = ReturnType<typeof __VLS_template_3>;

declare type __VLS_TemplateResult_4 = ReturnType<typeof __VLS_template_4>;

declare type __VLS_TemplateResult_5 = ReturnType<typeof __VLS_template_5>;

declare type __VLS_TemplateResult_6 = ReturnType<typeof __VLS_template_6>;

declare type __VLS_TemplateResult_7 = ReturnType<typeof __VLS_template_7>;

declare type __VLS_TemplateResult_8 = ReturnType<typeof __VLS_template_8>;

declare type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_2<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_3<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_4<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_5<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_6<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_7<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_8<T, S> = T & {
    new (): {
        $slots: S;
    };
};

export declare const MBadge: DefineComponent<__VLS_Props, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<__VLS_Props> & Readonly<{}>, {
appearance: "danger" | "accent" | "inverse" | "standard";
size: "s" | "m";
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLSpanElement>;

export declare const MBreadcrumb: DefineComponent<__VLS_Props_2, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<__VLS_Props_2> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLElement>;

export declare const MButton: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;

export declare const MCheckbox: DefineComponent<__VLS_Props_4, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: boolean) => any;
}, string, PublicProps, Readonly<__VLS_Props_4> & Readonly<{
"onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

export declare const MCheckboxGroup: DefineComponent<__VLS_Props_5, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: string[]) => any;
}, string, PublicProps, Readonly<__VLS_Props_5> & Readonly<{
"onUpdate:modelValue"?: ((value: string[]) => any) | undefined;
}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

export declare const MField: __VLS_WithTemplateSlots_2<typeof __VLS_component_2, __VLS_TemplateResult_2["slots"]>;

export declare const MFieldGroup: __VLS_WithTemplateSlots_3<typeof __VLS_component_3, __VLS_TemplateResult_3["slots"]>;

export declare const MIconButton: __VLS_WithTemplateSlots_4<typeof __VLS_component_4, __VLS_TemplateResult_4["slots"]>;

export declare const MLink: __VLS_WithTemplateSlots_5<typeof __VLS_component_5, __VLS_TemplateResult_5["slots"]>;

export declare const MLoader: DefineComponent<__VLS_Props_10, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<__VLS_Props_10> & Readonly<{}>, {
appearance: "standard" | "accent" | "inverse";
size: "s" | "m" | "l";
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

export declare const MOverlay: __VLS_WithTemplateSlots_6<typeof __VLS_component_6, __VLS_TemplateResult_6["slots"]>;

export declare const MPasswordInput: DefineComponent<__VLS_Props_12, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: string | number) => any;
}, string, PublicProps, Readonly<__VLS_Props_12> & Readonly<{
"onUpdate:modelValue"?: ((value: string | number) => any) | undefined;
}>, {
clearLabel: string;
buttonLabel: {
show: string;
hide: string;
};
}, {}, {}, {}, string, ComponentProvideOptions, false, {
button: ({
$: ComponentInternalInstance;
$data: {};
$props: {
readonly appearance?: "standard" | "accent" | "danger" | "inverse" | undefined;
readonly size?: "s" | "m" | "l" | undefined;
readonly disabled?: boolean | undefined;
readonly ghost?: boolean | undefined;
readonly outlined?: boolean | undefined;
readonly iconPosition?: "left" | "right" | "only" | undefined;
readonly type?: "button" | "reset" | "submit" | undefined;
readonly isLoading?: boolean | undefined;
} & VNodeProps & AllowedComponentProps & ComponentCustomProps;
$attrs: {
[x: string]: unknown;
};
$refs: {
[x: string]: unknown;
};
$slots: Readonly<{
[name: string]: Slot<any> | undefined;
}>;
$root: ComponentPublicInstance | null;
$parent: ComponentPublicInstance | null;
$host: Element | null;
$emit: (event: string, ...args: any[]) => void;
$el: HTMLButtonElement;
$options: ComponentOptionsBase<Readonly<{
appearance?: "standard" | "accent" | "danger" | "inverse";
size?: "s" | "m" | "l";
disabled?: boolean;
ghost?: boolean;
outlined?: boolean;
iconPosition?: "left" | "right" | "only";
type?: "button" | "reset" | "submit";
isLoading?: boolean;
}> & Readonly<{}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, {
appearance: "standard" | "accent" | "danger" | "inverse";
size: "s" | "m" | "l";
type: "button" | "reset" | "submit";
}, {}, string, {}, GlobalComponents, GlobalDirectives, string, ComponentProvideOptions> & {
beforeCreate?: (() => void) | (() => void)[];
created?: (() => void) | (() => void)[];
beforeMount?: (() => void) | (() => void)[];
mounted?: (() => void) | (() => void)[];
beforeUpdate?: (() => void) | (() => void)[];
updated?: (() => void) | (() => void)[];
activated?: (() => void) | (() => void)[];
deactivated?: (() => void) | (() => void)[];
beforeDestroy?: (() => void) | (() => void)[];
beforeUnmount?: (() => void) | (() => void)[];
destroyed?: (() => void) | (() => void)[];
unmounted?: (() => void) | (() => void)[];
renderTracked?: ((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[];
renderTriggered?: ((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[];
errorCaptured?: ((err: unknown, instance: ComponentPublicInstance | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance | null, info: string) => boolean | void)[];
};
$forceUpdate: () => void;
$nextTick: nextTick;
$watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (...args: [R, R, OnCleanup]) => any : (...args: [any, any, OnCleanup]) => any, options?: WatchOptions): WatchStopHandle;
} & Readonly<{
appearance: "standard" | "accent" | "danger" | "inverse";
size: "s" | "m" | "l";
type: "button" | "reset" | "submit";
}> & Omit<Readonly<{
appearance?: "standard" | "accent" | "danger" | "inverse";
size?: "s" | "m" | "l";
disabled?: boolean;
ghost?: boolean;
outlined?: boolean;
iconPosition?: "left" | "right" | "only";
type?: "button" | "reset" | "submit";
isLoading?: boolean;
}> & Readonly<{}>, "appearance" | "size" | "type"> & ShallowUnwrapRef<    {}> & {} & ComponentCustomProperties & {} & {
$slots: Readonly<{
default: string;
icon?: VNode;
}> & {
default: string;
icon?: VNode;
};
}) | null;
}, HTMLDivElement>;

export declare const MQuantitySelector: DefineComponent<__VLS_Props_13, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: number) => any;
}, string, PublicProps, Readonly<__VLS_Props_13> & Readonly<{
"onUpdate:modelValue"?: ((value: number) => any) | undefined;
}>, {
size: "s" | "m";
name: string;
modelValue: number;
min: number;
max: number;
step: number;
incrementlabel: string;
decrementLabel: string;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

export declare const MRadio: DefineComponent<__VLS_Props_14, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: boolean) => any;
}, string, PublicProps, Readonly<__VLS_Props_14> & Readonly<{
"onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

export declare const MRadioGroup: DefineComponent<__VLS_Props_15, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: string) => any;
}, string, PublicProps, Readonly<__VLS_Props_15> & Readonly<{
"onUpdate:modelValue"?: ((value: string) => any) | undefined;
}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

export declare const MSelect: DefineComponent<__VLS_Props_16, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: string | number) => any;
}, string, PublicProps, Readonly<__VLS_Props_16> & Readonly<{
"onUpdate:modelValue"?: ((value: string | number) => any) | undefined;
}>, {
size: "s" | "m";
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLSelectElement>;

export declare const MStatusBadge: DefineComponent<__VLS_Props_17, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<__VLS_Props_17> & Readonly<{}>, {
status: "info" | "success" | "warning" | "error" | "neutral";
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

export declare const MStatusNotification: __VLS_WithTemplateSlots_7<typeof __VLS_component_7, __VLS_TemplateResult_7["slots"]>;

export declare const MTextArea: DefineComponent<__VLS_Props_19, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: string | number) => any;
}, string, PublicProps, Readonly<__VLS_Props_19> & Readonly<{
"onUpdate:modelValue"?: ((value: string | number) => any) | undefined;
}>, {
rows: number;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLTextAreaElement>;

export declare const MTextInput: __VLS_WithTemplateSlots_8<typeof __VLS_component_8, __VLS_TemplateResult_8["slots"]>;

export declare const MToggle: DefineComponent<__VLS_Props_21, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: boolean) => any;
}, string, PublicProps, Readonly<__VLS_Props_21> & Readonly<{
"onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
}>, {
size: "s" | "m";
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

export declare const MToggleGroup: DefineComponent<__VLS_Props_22, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: string[]) => any;
}, string, PublicProps, Readonly<__VLS_Props_22> & Readonly<{
"onUpdate:modelValue"?: ((value: string[]) => any) | undefined;
}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

export { }
