import type { Meta, StoryObj } from '@storybook/vue3';
import MStatusBadge from './MStatusBadge.vue';

const meta: Meta<typeof MStatusBadge> = {
  title: 'Status/Status Badge',
  component: MStatusBadge,
  parameters: {
    docs: {
      description: {
        component:
          'A status badge indicates the status of an entity and can evolve at any time.',
      },
    },
  },
  args: { label: 'Badge label' },
  render: (args) => ({
    components: { MStatusBadge },
    setup() {
      return { args };
    },
    template: `
      <MStatusBadge v-bind="args"></MStatusBadge>
    `,
  }),
};
export default meta;
type Story = StoryObj<typeof MStatusBadge>;

export const Info: Story = {};

export const Success: Story = {
  args: { status: 'success' },
};

export const Warning: Story = {
  args: { status: 'warning' },
};

export const Error: Story = {
  args: { status: 'error' },
};

export const Neutral: Story = {
  args: { status: 'neutral' },
};
